★ TouchArcade needs your help. Click here to support us on Patreon.

Keep previous version of an app available for older iOS versions

09-21-2017, 09:24 AM
#1
Keep previous version of an app available for older iOS versions

Hello,

We recently made an update of our game Dino Rush with the only change to be 64-bit compatible.
We didn't want people not on iOS 11 to update their game for nothing and therefore set an iOS 11 minimum requirement.
The thing is, it seems new players not on iOS 11 can't download the game now. I thought there is a feature allowing people to download a previous version of the app if they don't have the required iOS version. Apparently, it is only for people already owning the app, not for new people.

Can anyone confirm this? Is there a way to change this behavior?
09-22-2017, 12:09 PM
#2
Joined: Mar 2017
Posts: 220
Quote:
Originally Posted by NemoidStudio View Post
Hello,

We recently made an update of our game Dino Rush with the only change to be 64-bit compatible.
We didn't want people not on iOS 11 to update their game for nothing and therefore set an iOS 11 minimum requirement.
The thing is, it seems new players not on iOS 11 can't download the game now. I thought there is a feature allowing people to download a previous version of the app if they don't have the required iOS version. Apparently, it is only for people already owning the app, not for new people.

Can anyone confirm this? Is there a way to change this behavior?
I confirm that I cannot download your app. It requires IOS 11. I hope it is not a bad move from Apple again because a lot of people will not upgrade.
09-24-2017, 02:17 PM
#3
Quote:
Originally Posted by Jean pierre View Post
I confirm that I cannot download your app. It requires IOS 11. I hope it is not a bad move from Apple again because a lot of people will not upgrade.
Thanks for your confirmation.
I am now thinking to make a new update to lower the iOS requirement...